Subject: Need your help:about RC32334 questions?

From: "machael thailer" <[email-masked]>
Date: Tue, 31 Jul 2001 11:44:22 +0800

> Hi Fabrice,
>
> This may not be totally relevant, but I'm currently trying to get
> gdbserver working on a RC32334 IDT board. I've been having some issues
> with single stepping, but am making a bit of progress.
>
> 1/ I started with a mips gdbserver port kindly supplied by Martin
> Rivers. It mostly works well but had some problems single stepping
> through conditional branches (the problem may have been due to a
> different target than Martin was using, or me... I am kind of new to
> this :)
>
> 2/ Previously I've had some luck single stepping kernel and module code
> with the kernel gdbstub (arch/mips/kernel/gdb-stub.c), so I ported the
> relevant single stepping code into gdbserver. The results were much
> better. The only thing that seems to be wrong now is stepping over
> function calls isn't working quite right. I can step into functions OK
> though.
>
> If you're interested I'll let you know how I get on over the next few
> days. If not, I won't be offended :)
>

Hello,
    Now I plan to port linux on our RC32334-based custom board. But I don't
know whether linux support RC32334 now.
Can you tell me which kernel version you use on your RC32334 IDT board? And
where can i download it?

Thanks in advance.

machael thailer